THEME_Rebel
===========

# Rebel
Radically different, beautifully executed, and intelligently designed.  Rebel is a unique and modern Boost-based theme that isn't afraid to be simple.  A re-imagined, straightforward approach to navigation is focused on teacher and student needs.  A streamlined navigation makes most important links obvious and easily discoverable on the pages they are needed. Everything from the page layout, color choices, and features of Rebel is carefully implemented to benefit learning.  Rebel is an uncomplicated theme that helps students go from login to learning effortlessly! 

REBEL FEATURES
* Intuitive navigation that breaks free of hidden menus
* All main navigational elements are front and center for the user in the header or sidebar
* Clean, intuitive, and consistent layout
* Course Dashboard modal popup management system for teachers
* Course Dashboard modal popup class overview and course contacts for students 
* Smart Edit is available anywhere on the course page and keeps you focused on the page (No more scrolling to edit a page)
* Dynamic Icon Sidebar navigation never leaves your side
* Custom page image
* Custom login image
* Choose from 99 Textured background overlays for header and footer styling
* Color choosers for background colors
* Super easy setup and install for site admins
* Super easy interface for users
* Custom login page with image and text features
* Login page alertbox
* Custom homepage login modal window from sidebar
* Organizational branding in the footer and custom logo in the header

# Versions and Updates

### Rebel version 1.8.1
* Fixed issue with deleting courses.  https://github.com/dbnschools/moodle-theme_rebel/issues/13

### Rebel version 1.8
* Added This Course drop down menu to the sidebar.  This will allow quick and easy navigation within a course to move between sections.
* Added toggle to turn This Course drop down on and off for site.

### Rebel version 1.7.4
* Arranged the Dashboard header menu to be Profile | Preferences | Grades | Calendar.  It just made better sense to order them this way. 

### Rebel version 1.7.3
* Improved styling to address using images and the texture overlays.  Added additional logic so that the texture doesn't appear on any course pages when using header images.

### Rebel version 1.7.2
* Fixed missing variable
* Numerous CSS styling fixes especially when using header images

### Rebel version 1.7.1
* Fixed language string issues.
* Other styling fixes. 

### Rebel version 1.7
* Better logic for when and how the header textures are applied with ability to turn it off by not selecting a pattern.
* Fixed uploaded presets not showing up due to removal of Preset selector.
* Added Brand Logo to footer area.
* Added Custom Textbox for the Dashboard page
* Added Course Section Style Chooser allowing for a variety of different styled sections and topics.
* Added frontpage icon navigation with up to 8 icon buttons and one slider icon which toggles a sliding textbox.

### Rebel version 1.6
* Header Images uses course image file to display in header
* Modal "Easy Enrollment plugin" pop up integration on homepage
* Course Dashboard modal window for teachers and students in courses.  A dashboard that contains everything a teacher needs to manage the course all in one place.
* New "Textured Background Overlay" chooser for header and footer.  Choose from over 99 transparent textures to style your Moodle site.
* New Color Choosers for background colors of main areas such as header, footer, navbar, headerlinks, and sidebar icons.
* Complete listing of variables used so that you can quickly change a color.  
* Custom Login modal popup from sidebar icons
* WARNING: Major changes to layout and styling.  This release is a major overhaul that further refines the direction of the look and feel we want for the Rebel theme.

### Rebel version 1.5
* Compatible with Moodle 3.10.
* Layout changes to further streamline navigation.
* Added Course Management Dashboard made popular in the Fordson Theme.
* Removed other presets to ensure compatiblity.  You can still upload a preset.  

### Rebel version 1.4
* Fixed issues related to https://tracker.moodle.org/browse/CONTRIB-8220  Additional fixes to certain header links not appearing when on a course page for users.

### Rebel version 1.3
* Fixed issue: https://github.com/dbnschools/moodle-theme_rebel/issues/1

### Rebel version 1.2
* Fixed issues related to https://tracker.moodle.org/browse/CONTRIB-8220

## Moodle 3.9 Rebel Initial Release 1
* Brand new theme.  Minimal setup.  5 page layouts.  Unique navigation.  Custom background image for pages and login.
